package com.tmerclub.cloud.systemtest.data.amount;

import com.moyuer.cloud.systemtest.api.amount.AddrApi;
import com.tmerclub.cloud.user.dto.UserAddrDTO;

/**
 * @author lpj
 */
public class UserAddrDtoData {
    public static UserAddrDTO getUserAddrDTO() {
        UserAddrDTO userAddrDTO = new UserAddrDTO();
        userAddrDTO.setAddr("清河东路319号");
        userAddrDTO.setAddrId(0L);
        userAddrDTO.setArea("荔湾区");
        userAddrDTO.setAreaId(440103L);
        userAddrDTO.setCity("广州市");
        userAddrDTO.setCityId(4401L);
        userAddrDTO.setConsignee("用户");
        userAddrDTO.setIsDefault(1);
        userAddrDTO.setLat(22.93772);
        userAddrDTO.setLng(113.39424);
        userAddrDTO.setMobile("19800000001");
        userAddrDTO.setProvince("广东省");
        userAddrDTO.setProvinceId(44L);

        return userAddrDTO;
    }

    public static UserAddrDTO getUpdateUserAddrDTO(Long addrId) {
        UserAddrDTO userAddrDTO = new UserAddrDTO();
        userAddrDTO.setAddr("清河东路319号");
        userAddrDTO.setAddrId(addrId);
        userAddrDTO.setArea("荔湾区");
        userAddrDTO.setAreaId(440103L);
        userAddrDTO.setCity("广州市");
        userAddrDTO.setCityId(4401L);
        userAddrDTO.setConsignee("用户");
        userAddrDTO.setIsDefault(1);
        userAddrDTO.setLat(22.93772);
        userAddrDTO.setLng(113.39424);
        userAddrDTO.setMobile("19800000001");
        userAddrDTO.setProvince("广东省");
        userAddrDTO.setProvinceId(44L);

        return userAddrDTO;
    }
    public static UserAddrDTO getUpdataUserAddrDTO() {
        UserAddrDTO userAddrDTO = new UserAddrDTO();
        userAddrDTO.setAddr("修改后的地址");
        userAddrDTO.setAddrId(AddrApi.dvyList().get(0).getAddrId());
        userAddrDTO.setArea("荔湾区");
        userAddrDTO.setAreaId(440103L);
        userAddrDTO.setIsDefault(1);
        userAddrDTO.setLat(22.93772);
        userAddrDTO.setLng(113.39424);
        userAddrDTO.setMobile("19800000001");
        userAddrDTO.setProvince("广东省");
        userAddrDTO.setCity("广州市");
        userAddrDTO.setCityId(4401L);
        userAddrDTO.setConsignee("用户");
        userAddrDTO.setProvinceId(44L);
        return userAddrDTO;
    }
}
